<template>
  <div class="bottom flexContainer w-full h-32 sm:flex-col z-20"
       :class="[isProject ? 'bottom--project bg-' + project : 'bg-yellow']">
    <div class="h-full flex items-center justify-between sm:flex-col">
      <div class="col items-center"
           :class="[isProject && !isDark ? 'text-' + project : 'text-white']">
        Made with
        <svg class="mx-2"
             width="19px"
             height="13px"
             viewBox="0 0 19 13">
          <g stroke="none"
             stroke-width="1"
             fill="none"
             fill-rule="evenodd">
            <g transform="translate(-208.000000, -43.000000)"
               fill="#FFFFFF"
               fill-rule="nonzero">
              <g transform="translate(120.000000, 40.000000)">
                <g transform="translate(88.000000, 3.000000)">
                  <path d="M16.8043226,0.924626068 L2.1636859,0.924626068 C1.90511538,0.924626068 1.69473504,1.13496581 1.69473504,1.39353632 L1.69473504,10.0483611 C1.69473504,10.3069316 1.90511538,10.5172714 2.1636859,10.5172714 L16.8043226,10.5172714 C17.0628526,10.5172714 17.2732329,10.3069316 17.2732329,10.0483611 L17.2732329,1.39357692 C17.2732329,1.13500641 17.0628526,0.924626068 16.8043226,0.924626068 Z M16.86725,10.0483611 C16.86725,10.0830726 16.8390342,10.1112885 16.8043226,10.1112885 L2.1636859,10.1112885 C2.12897436,10.1112885 2.10071795,10.0830321 2.10071795,10.0483611 L2.10071795,1.39357692 C2.10071795,1.35886538 2.12893376,1.33064957 2.1636859,1.33064957 L16.8043226,1.33064957 C16.8389936,1.33064957 16.86725,1.35890598 16.86725,1.39357692 L16.86725,10.0483611 Z" />
                  <path d="M18.6634808,10.8217991 L18.1866944,10.8217991 L18.1866944,1.1709765 C18.1866944,0.531472222 17.6664274,0.0111645299 17.0268825,0.0111645299 L1.94112607,0.0111645299 C1.3015812,0.0111645299 0.781314103,0.531431624 0.781314103,1.1709765 L0.781314103,10.8217585 L0.304487179,10.8217585 C0.136288462,10.8217585 0,10.9580876 0,11.1262457 L0,11.9627735 C0,12.506141 0.442074786,12.9481752 0.985401709,12.9481752 L17.9825256,12.9481752 C18.5258932,12.9481752 18.9679274,12.5061004 18.9679274,11.9627735 L18.9679274,11.1262457 C18.9679679,10.9581282 18.8316795,10.8217991 18.6634808,10.8217991 Z M1.39024786,1.1709765 C1.39024786,0.867260684 1.63736966,0.620138889 1.94108547,0.620138889 L17.0268419,0.620138889 C17.3305577,0.620138889 17.5776795,0.867220085 17.5776795,1.1709765 L17.5776795,10.8217585 L1.39024786,10.8217585 L1.39024786,1.1709765 Z M8.59080128,11.4307735 L10.3771261,11.4307735 L10.3771261,11.59 C10.3771261,11.66125 10.3191517,11.719265 10.2478611,11.719265 L8.72002564,11.719265 C8.64873504,11.719265 8.59076068,11.6612906 8.59076068,11.59 L8.59076068,11.4307735 L8.59080128,11.4307735 Z M18.3590342,11.9628141 C18.3590342,12.1703932 18.1901859,12.3392415 17.9826068,12.3392415 L0.985442308,12.3392415 C0.777863248,12.3392415 0.609014957,12.1703526 0.609014957,11.9628141 L0.609014957,11.4307735 L1.08580128,11.4307735 L8.18485897,11.4307735 L8.18485897,11.59 C8.18485897,11.8851496 8.42495726,12.1252479 8.72010684,12.1252479 L10.2479423,12.1252479 C10.5430919,12.1252479 10.7831902,11.8851496 10.7831902,11.59 L10.7831902,11.4307735 L17.8822479,11.4307735 L18.3590342,11.4307735 L18.3590342,11.9628141 Z" />
                </g>
              </g>
            </g>
          </g>
        </svg>
        .
        <!-- <span class="underline ml-2">Open source.</span> -->
      </div>
      <div class="col items-center">
        <a href="https://www.linkedin.com/in/thomas-sanlis/"
           target="_blank"
           class="flex items-center"
           aria-label="Linkedin"
           rel="noopener">
          <svg width="48px"
               height="48px"
               viewBox="0 0 32 32">
            <g stroke="none"
               stroke-width="1"
               fill="none"
               fill-rule="evenodd">
              <g transform="translate(-1195.000000, -34.000000)">
                <g transform="translate(1195.000000, 34.000000)">
                  <rect x="1.5"
                        y="1.5"
                        width="29"
                        height="29"
                        rx="3" />
                  <path d="M23.24,17.9283879 L23.24,23.5627131 L19.9735745,23.5627131 L19.9735745,18.305741 C19.9735745,16.9851467 19.5011213,16.0838928 18.3187836,16.0838928 C17.4162187,16.0838928 16.8791016,16.6912719 16.6428042,17.278809 C16.556633,17.4888512 16.5344524,17.7812024 16.5344524,18.075219 L16.5344524,23.5627131 L13.2669286,23.5627131 C13.2669286,23.5627131 13.3109354,14.6591278 13.2669286,13.73665 L16.5341335,13.73665 L16.5341335,15.1294551 C16.5275077,15.1398722 16.5188977,15.1511042 16.5126616,15.1612024 L16.5341335,15.1612024 L16.5341335,15.1294551 C16.9682137,14.4608846 17.7434352,13.5058091 19.4786219,13.5058091 C21.6284009,13.5057736 23.24,14.9102005 23.24,17.9283879 Z M9.84895952,9 C8.73114385,9 8,9.73319892 8,10.6973805 C8,11.6405507 8.70999082,12.3960011 9.80559048,12.3960011 L9.82741673,12.3960011 C10.9668815,12.3960011 11.6755259,11.6406925 11.6755259,10.6973805 C11.6540539,9.73319892 10.9668815,9 9.84895952,9 Z M8.19406227,23.5627131 L11.460346,23.5627131 L11.460346,13.73665 L8.19406227,13.73665 L8.19406227,23.5627131 Z"
                        fill="#FFFFFF"
                        fill-rule="nonzero" />
                </g>
              </g>
            </g>
          </svg>
        </a>
        <a href="https://twitter.com/t_zahil"
           target="_blank"
           class="flex items-center"
           aria-label="Twitter"
           rel="noopener">
          <svg width="48px"
               height="48px"
               viewBox="0 0 32 32">
            <g stroke="none"
               stroke-width="1"
               fill="none"
               fill-rule="evenodd">
              <g transform="translate(-1247.000000, -35.000000)">
                <g>
                  <g transform="translate(1195.000000, 34.000000)">
                    <g transform="translate(52.000000, 1.000000)">
                      <rect x="1.5"
                            y="1.5"
                            width="29"
                            height="29"
                            rx="3" />
                      <path d="M23.6190227,10.1806693 C23.0581762,10.4860738 22.4563959,10.6931956 21.8241145,10.7856646 C22.4697168,10.3105603 22.9639091,9.55697839 23.1981326,8.66178619 C22.5925428,9.10176324 21.9240834,9.42124307 21.211827,9.59443106 C20.641469,8.84669344 19.8301899,8.38095238 18.9303455,8.38095238 C17.2040087,8.38095238 15.8042702,10.101113 15.8042702,12.2214726 C15.8042702,12.5221954 15.831883,12.8159113 15.8852163,13.0967757 C13.287619,12.9364391 10.9842515,11.40703 9.44263928,9.08303691 C9.17315904,9.64941671 9.01985683,10.309367 9.01985683,11.0138382 C9.01985683,12.346682 9.57213819,13.522708 10.410084,14.2107478 C9.89779023,14.1896959 9.41597261,14.0165079 8.99416122,13.7286365 L8.99416122,13.776615 C8.99416122,15.6371926 10.0720573,17.1900096 11.501301,17.5434232 C11.2394398,17.6300172 10.9633115,17.6779958 10.6776471,17.6779958 C10.4757921,17.6779958 10.2805851,17.6534251 10.0891877,17.6066093 C10.4871958,19.1336929 11.6412823,20.2441767 13.0086523,20.2746223 C11.9393215,21.3043871 10.5909991,21.9163894 9.1265235,21.9163894 C8.87419857,21.9163894 8.62565826,21.897663 8.38095238,21.8637292 C9.76450669,22.9555173 11.4070588,23.5920903 13.172437,23.5920903 C18.9227762,23.5920903 22.0660068,17.7388564 22.0660068,12.662643 L22.0555244,12.1653242 C22.6696794,11.6270033 23.200996,10.9506521 23.6190227,10.1806693 Z"
                            fill="#FFFFFF"
                            fill-rule="nonzero" />
                    </g>
                  </g>
                </g>
              </g>
            </g>
          </svg>
        </a>
        <a href="https://github.com/T-Zahil"
           target="_blank"
           class="flex items-center"
           aria-label="Github"
           rel="noopener">
          <svg width="48px"
               height="48px"
               viewBox="0 0 32 32"
               version="1.1"
               xmlns="http://www.w3.org/2000/svg"
               xmlns:xlink="http://www.w3.org/1999/xlink">
            <g stroke="none"
               stroke-width="1"
               fill="none"
               fill-rule="evenodd">
              <g transform="translate(-1294.000000, -34.000000)">
                <g transform="translate(1195.000000, 34.000000)">
                  <g transform="translate(99.000000, 0.000000)">
                    <rect x="1.5"
                          y="1.5"
                          width="29"
                          height="29"
                          rx="3" />
                    <path d="M12.9879589,24.8902375 C12.9235039,24.8902375 12.8519516,24.8835121 12.7728263,24.8690532 L12.8051136,24.5138679 L13.1239663,24.5138016 C13.1769072,24.4990375 13.2189442,24.475439 13.2514829,24.4460701 C13.3072094,24.3957558 13.3393773,24.3259683 13.3525761,24.2538198 C13.3569933,24.2296508 13.3591157,24.2029483 13.3591157,24.1747998 C13.3591157,23.9819654 13.3573913,23.801866 13.3551097,23.5601629 C13.3525363,23.2887334 13.3493129,22.9514819 13.3466466,22.564845 C10.4400529,23.0925162 9.76149318,21.0511755 9.73364008,20.9633484 C9.27114062,19.7942935 8.63510628,19.4962542 8.63326213,19.4953669 L8.60939832,19.4820222 C7.14442676,18.4808541 8.78042529,18.5016136 8.78506822,18.5016271 L8.79630369,18.5016271 C9.94209903,18.5822788 10.5523288,19.6387071 10.5855841,19.6977377 L10.5857035,19.6976714 C10.9339906,20.2944138 11.362506,20.5886727 11.7882832,20.7102346 C12.4059053,20.8865537 13.0287229,20.7081918 13.3966195,20.5561082 C13.4476502,20.2544603 13.5317115,19.9936431 13.6366244,19.7726995 C13.707314,19.6238393 13.787714,19.4925682 13.8741754,19.378594 C12.7642207,19.2210982 11.6518805,18.899513 10.7829314,18.1680402 C9.81880001,17.3564168 9.16535188,16.0526877 9.16535188,13.9325283 L9.16605492,13.9325283 C9.16614778,13.3396596 9.26876635,12.7995589 9.4560292,12.3115345 C9.64163412,11.8278241 9.9106231,11.3944535 10.245579,11.0107839 C10.1814954,10.8286809 10.0925004,10.511314 10.0644047,10.0911692 C10.0300482,9.57733353 10.0861063,8.9068849 10.3901287,8.13821818 L10.3971459,8.1241837 C10.3973316,8.12381228 10.5293189,8.01140451 10.715892,8.00195917 C10.8389656,7.99573786 11.0247165,8.00219794 11.2754123,8.05288383 C11.7636467,8.15160249 12.5115056,8.42234274 13.543968,9.11162253 C13.9518822,9.00196019 14.3728895,8.91862869 14.7999291,8.86119179 C15.2619917,8.79905817 15.7324764,8.76718221 16.2023435,8.76508638 L16.2037496,8.76508638 C16.6730944,8.76718226 17.1430491,8.79907153 17.6048163,8.86116529 C18.032058,8.91862958 18.4534629,9.00204016 18.8621363,9.11168925 C20.9375623,7.72572838 21.893979,8.0314082 21.896798,8.03223032 L21.9804077,8.05702271 L22.0126153,8.13821818 C22.3178178,8.90789794 22.3744068,9.5777064 22.3403553,10.0904616 C22.3124588,10.5105132 22.223808,10.8277476 22.1599897,11.0099966 C22.4947468,11.3927071 22.7629002,11.8255329 22.948094,12.3090626 C23.1357553,12.7990479 23.2380952,13.3400639 23.2380952,13.9325272 C23.2380952,16.0585605 22.5836767,17.3616809 21.617663,18.1704089 C20.748085,18.8984224 19.6343993,19.2158028 18.5220838,19.3706188 C18.6521477,19.5407304 18.7690666,19.7500397 18.8603563,19.9992507 C18.9832311,20.3347379 19.0602471,20.7433944 19.0602471,21.2264714 C19.0602471,22.0884224 19.0538799,22.9852257 19.0496749,23.5790132 C19.0481361,23.7969053 19.0469688,23.9596673 19.0469688,24.1747875 L19.0462657,24.1747875 C19.046279,24.2016626 19.0490382,24.2304875 19.0548217,24.2604799 C19.0686704,24.3322969 19.1004669,24.400983 19.1547873,24.4496799 C19.1845541,24.4763692 19.222333,24.4981372 19.2692118,24.5126227 L19.6062106,24.5125564 L19.6399039,24.8677417 C19.5600614,24.8831292 19.4845701,24.890279 19.413456,24.8903189 C19.3445837,24.8903587 19.2811504,24.8834476 19.2228903,24.8706335 L13.1728281,24.8717875 C13.1160536,24.8837527 13.0545165,24.8902259 12.9879532,24.8902259 L12.9879589,24.8902375 Z"
                          fill="#FFFFFF"
                          fill-rule="nonzero" />
                  </g>
                </g>
              </g>
            </g>
          </svg>
        </a>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  computed: {
    isProject: function() {
      return this.$route.name.includes('work')
    },
    isDark: function() {
      return this.$store.state.isDark
    },
    project: function() {
      return this.$route.params.project
    }
  }
}
</script>

<style lang="scss">
.bottom--project {
  @screen xl {
    @apply w-2/3 float-right;
  }
}
</style>

